Project

General

Profile

Bug #1456

invalid $LOAD_PATH when configure with --program-suffix

Added by znz (Kazuhiro NISHIYAMA) about 10 years ago. Updated about 8 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
ruby 1.9.2dev (2009-05-10 trunk 23386) [i686-linux]
Backport:
[ruby-dev:38426]

Description

=begin
configureに--program-suffix=-trunkをつけている環境で添付ライブラリのインストール先と$LOAD_PATHが一致していません。

% ruby-trunk -run -e 0
ruby-trunk:0:in `require': no such file to load -- un (LoadError)
% ruby-trunk -ve 'puts $LOAD_PATH'
ruby 1.9.2dev (2009-05-10 trunk 23386) [i686-linux]
/home/kazu/opt/ruby-trunk/lib/ruby/site_ruby/1.9.1
/home/kazu/opt/ruby-trunk/lib/ruby/site_ruby/1.9.1/i686-linux
/home/kazu/opt/ruby-trunk/lib/ruby/site_ruby
/home/kazu/opt/ruby-trunk/lib/ruby/vendor_ruby/1.9.1
/home/kazu/opt/ruby-trunk/lib/ruby/vendor_ruby/1.9.1/i686-linux
/home/kazu/opt/ruby-trunk/lib/ruby/vendor_ruby
/home/kazu/opt/ruby-trunk/lib/ruby/1.9.1
/home/kazu/opt/ruby-trunk/lib/ruby/1.9.1/i686-linux
.
% \ls ~/opt/ruby-trunk/lib/ruby*/
/home/kazu/opt/ruby-trunk/lib/ruby-trunk/:
1.9.1

/home/kazu/opt/ruby-trunk/lib/ruby/:
gems site_ruby vendor_ruby
%
=end

History

#1

Updated by nobu (Nobuyoshi Nakada) about 10 years ago

  • Status changed from Open to Closed
  • % Done changed from 0 to 100

=begin
Applied in changeset r23390.
=end

Also available in: Atom PDF